* filename : time.inc *
* -contains the period of timer interrupts *


;***************************************************************
;***USER PERFERENCE SETUP***************************************
;***************************************************************

F_CPU_MHz			.set	80   ;If init_pll.asm is used, CPU
								 ;frequency is 80MHz	

PRD_VAL_us			.set	1	 ;Select to obtain 1us interrupt   
START_HOLD_TIME_us	.set    5 	 ;Select to obtain 5us interrupt   
SCL_HIGH_us		    .set	5    ;Select to obtain 5us interrupt   
SCL_LOW1_us		    .set	5    ;Select to obtain 5us interrupt   
SCL_LOW2_us		    .set	5    ;Select to obtain 5us interrupt    
STOP_SETUP_TIME_us  .set	5 	 ;Select to obtain 5us interrupt   


;***************************************************************
;**END OF USER PERFERENCE SETUP*********************************
;***************************************************************


K_PRD_VAL			.set	((PRD_VAL_us*F_CPU_MHz)/16)-1	 	
K_START_HOLD_TIME	.set    ((START_HOLD_TIME_us*F_CPU_MHz)/16)-1	 	
K_SCL_HIGH			.set	((SCL_HIGH_us*F_CPU_MHz)/16)-1	 	
K_SCL_LOW1			.set	((SCL_LOW1_us*F_CPU_MHz)/16)-1	 	
K_SCL_LOW2			.set	((SCL_LOW2_us*F_CPU_MHz)/16)-1	 	
K_STOP_SETUP_TIME	.set	((STOP_SETUP_TIME_us*F_CPU_MHz)/16)-1	 	


STOP_TIMER 			.set 	001FH	
START_TIMER 		.set 	002FH   
